<?php

/* vim: set expandtab tabstop=4 shiftwidth=4 foldmethod=marker: */
// $HeadURL: https://svn.osuosl.org/public/maintain2/branches/2.6/htdocs/preferences.php $
// +------------------------------------------------------------------------+
// | Maintain - DNS/DHCP Managment Tool                                     |
// +------------------------------------------------------------------------+
// | Copyright (c) 2004 Open Source University                              |
// +------------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or          |
// | modify it under the terms of the GNU General Public License            |
// | as published by the Free Software Foundation; either version 2         |
// | of the License, or (at your option) any later version.                 |
// |                                                                        |
// | This program is distributed in the hope that it will be useful,        |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of         |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          |
// | GNU General Public License for more details.                           |
// |                                                                        |
// | You should have received a copy of the GNU General Public License      |
// | along with this program; if not, write to the Free Software            |
// | Foundation, Inc., 59 Temple Place - Suite 330,                         |
// | Boston, MA  02111-1307, USA.                                           |
// +------------------------------------------------------------------------+
// | Authors: Zack Bartel   <bartel@osuosl.org                              |
// +------------------------------------------------------------------------+
// $Id: mx.php 3971 2005-12-13 23:09:25Z bartel $

/**
  * Preferences
  *
  * @pacakge    htdocs
  */

require_once("includes.php");
//require_once(HTCLASS."/datalist/MXDataList.php");
//require_once(FORMDIR."/MXCreateForm.php");
//require_once(FORMDIR."/MXEditForm.php");
require_once(FORMDIR."/PreferencesForm.php");

session_start();

setup_user_environment();

$title = html_span("title");

$skin = Skin::Factory($user->color_template);

$content = container();

switch(strtolower($_REQUEST['action'])) {

case 'show':
default:
        $title->add(_("Viewing ").$user->username);
        $content->add($title);
        $content->add(new FormProcessor(new PreferencesForm, "userup"));

        /* Add password manager */
        $passtitle = html_span("title");
        $passtitle->add(_("Manage Password"));
        $content->add(html_br(1), $passtitle, html_br(1), new FormProcessor(new PasswordForm, "passup"));
        $content = Module::apply_filter('preference_module', $content);
}

print $skin->display($content);

?>
